set(JPEG_INCLUDE_DIR /Users/rapter/emsdk/upstream/emscripten/cache/sysroot/include)

#set(USE_FLAGS "-s USE_SDL=2 -s USE_FREETYPE=1 -s USE_LIBJPEG=1 -s FULL_ES3")
set(USE_FLAGS " -s USE_FREETYPE=1 -s USE_LIBJPEG=1 -s FULL_ES3=1 -s USE_ZLIB=1 -s USE_LIBPNG=1 -s USE_BOOST_HEADERS=1")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${USE_FLAGS}")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${USE_FLAGS}")
set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${USE_FLAGS}")
#set(CMAKE_EXECUTABLE_SUFFIX .html)
set(CMAKE_EXECUTABLE_SUFFIX .js)

#string(APPEND CMAKE_C_FLAGS " -s USE_LIBJPEG")
#string(APPEND CMAKE_CXX_FLAGS " -s USE_LIBJPEG")
